STOFFTable Class Reference

a class used to recreate the table structure using cell informations, .... More...

`#include <STOFFTable.hxx>`

Inheritance diagram for STOFFTable:

## Public Member Functions

| STOFFTable ()
| the constructor
virtual | ~STOFFTable ()
| the destructor
void | addTablePropertiesTo (librevenge::RVNGPropertyList &propList) const
| adds the table properties to propList

## Public Attributes

librevenge::RVNGPropertyList | m_propertyList
| the property list

## Detailed Description

a class used to recreate the table structure using cell informations, ....

## Constructor & Destructor Documentation

## STOFFTable()

STOFFTable::STOFFTable | ( |  | ) |

inline

the constructor

## ~STOFFTable()

STOFFTable::~STOFFTable | ( |  | ) |

virtual

the destructor

## Member Function Documentation

## addTablePropertiesTo()

void STOFFTable::addTablePropertiesTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

adds the table properties to propList

Referenced by STOFFGraphicListener::openTable(), STOFFSpreadsheetListener::openTable(), and STOFFTextListener::openTable().

## Member Data Documentation

## m_propertyList

librevenge::RVNGPropertyList STOFFTable::m_propertyList

the property list

Referenced by addTablePropertiesTo(), StarTableInternal::Table::send(), and STOFFTable().

The documentation for this class was generated from the following files:

- STOFFTable.hxx
- STOFFTable.cxx